import type { InjectionKey, UnwrapNestedRefs, Ref } from 'vue';
import { inject } from 'vue';
import { UseStepperReturn } from 'senin-mini/hooks';

type ElectricBillRechargeSteps = 'step1' | 'step2';

export interface ElectricBillRechargeContext
  extends UseStepperReturn<
    ElectricBillRechargeSteps,
    ElectricBillRechargeSteps[],
    ElectricBillRechargeSteps
  > {
  //   form: UnwrapNestedRefs<{
  //     ispCode: string;
  //     phone: string;
  //     parValue: number;
  //     name: string;
  //   }>;
}

export const ElectricBillRechargeContextKey: InjectionKey<ElectricBillRechargeContext> = Symbol(
  'ElectricBillRechargeContextKey'
);

export function useElectricBillRechargeContext() {
  return inject(ElectricBillRechargeContextKey);
}

export type ElectricUserAccountExtraProperties = {
  electricAccount: string;
  electricType: string;
  electricAccountType: string;
  province: string;
  city: string;
  sixID: string;
  remark: string;
};
